## org.hibernate.ejb.criteria.path
Class MapKeyHelpers.MapKeySource<K,V>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.path.AbstractPathImpl<Map<K,V>>
                          org.hibernate.ejb.criteria.path.MapKeyHelpers.MapKeySource<K,V>

Type Parameters:
  `K` - The map key type
  `V` - The map value type

All Implemented Interfaces:
  Serializable, Expression<Map<K,V>>, Path<Map<K,V>>, Selection<Map<K,V>>, TupleElement<Map<K,V>>, ExpressionImplementor<Map<K,V>>, ParameterContainer, PathImplementor<Map<K,V>>, PathSource<Map<K,V>>, Renderable, SelectionImplementor<Map<K,V>>, TupleElementImplementor<Map<K,V>>

Enclosing class:
  MapKeyHelpers

    public static class MapKeyHelpers.MapKeySource<K,V>

extends AbstractPathImpl<Map<K,V>>
implements PathImplementor<Map<K,V>>, Serializable

Defines a `Path` for the map which can then be used to represent the source of the map key "attribute".

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`MapKeyHelpers.MapKeySource(CriteriaBuilderImpl criteriaBuilder, Class<Map<K,V>> javaType, MapJoinImplementor<?,K,V> mapJoin, MapAttribute<?,K,V> attribute)`

Method Summary
`protected boolean` `canBeDereferenced()`
`MapAttribute<?,K,V>` `getAttribute()` Retrieve reference to the attribute this path represents.
`Bindable<Map<K,V>>` `getModel()`
`PathImplementor<?>` `getParentPath()`
`protected Attribute` `locateAttributeInternal(String attributeName)` Get the attribute by name from the underlying model.

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractPathImpl
`get, get, get, get, getPathIdentifier, getPathSource, illegalDereference, locateAttribute, prepareAlias, registerAttributePath, registerParameters, render, renderProjection, resolveCachedAttributePath, type, unknownAttribute`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier, prepareAlias`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Constructor Detail

### MapKeyHelpers.MapKeySource

    public MapKeyHelpers.MapKeySource(CriteriaBuilderImpl criteriaBuilder,
                                      Class<Map<K,V>> javaType,
                                      MapJoinImplementor<?,K,V> mapJoin,
                                      MapAttribute<?,K,V> attribute)

Method Detail

### getAttribute

    public MapAttribute<?,K,V> getAttribute()

  Description copied from interface: `PathImplementor`
  Retrieve reference to the attribute this path represents.

  Specified by:
    `getAttribute` in interface `PathImplementor<Map<K,V>>`
  Returns:
    The metamodel attribute.

### getModel

    public Bindable<Map<K,V>> getModel()

  Specified by:
    `getModel` in interface `Path<Map<K,V>>`

### getParentPath

    public PathImplementor<?> getParentPath()

  Description copied from class: `AbstractPathImpl`

  Specified by:
    `getParentPath` in interface `Path<Map<K,V>>`
  Overrides:
    `getParentPath` in class `AbstractPathImpl<Map<K,V>>`

### canBeDereferenced

    protected boolean canBeDereferenced()

  Specified by:
    `canBeDereferenced` in class `AbstractPathImpl<Map<K,V>>`

### locateAttributeInternal

    protected Attribute locateAttributeInternal(String attributeName)

  Description copied from class: `AbstractPathImpl`
  Get the attribute by name from the underlying model. This allows subclasses to define exactly how the attribute is derived. Called from `AbstractPathImpl.locateAttribute(java.lang.String)` which also applies nullness checking for proper error reporting.

  Specified by:
    `locateAttributeInternal` in class `AbstractPathImpl<Map<K,V>>`
  Parameters:
    `attributeName` - The name of the attribute to locate
  Returns:
    The attribute; may be null.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.